[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| OOB_Error [Machine Learning] |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for OOB_Error:

List of all members.

## Public Member Functions

template<class RF, class PR, class SM, class ST>
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR>
void | visit_at_end (RF &rf, PR &pr)

## Public Attributes

double | oob_breiman

## Detailed Description

Visitor that calculates the oob error of the ensemble This rate should be used to estimate the crossvalidation error rate. Here each sample is put down those trees, for which this sample is OOB i.e. if sample #1 is OOB for trees 1, 3 and 5 we calculate the output using the ensemble consisting only of trees 1 3 and 5.

Using normal bagged sampling each sample is OOB for approx. 33% of trees The error rate obtained as such therefore corresponds to crossvalidation rate obtained using a ensemble containing 33% of the trees.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)